{
  "mappings": {
    "dynamic": false,
    "fields": {
      "content": {
        "type": "string",
        "analyzer": "lucene.standard"
      },
      "contentTop": {
        "type": "string",
        "analyzer": "lucene.standard"
      },
      "contentBottom": {
        "type": "string",
        "analyzer": "lucene.standard"
      },
      "hashtags": [
        {
          "type": "autocomplete",
          "tokenization": "edgeGram",
          "minGrams": 2,
          "maxGrams": 15,
          "foldDiacritics": true
        },
        {
          "type": "string",
          "analyzer": "lucene.keyword"
        }
      ],
      "style": {
        "type": "string",
        "analyzer": "lucene.standard"
      },
      "maqam": {
        "type": "string",
        "analyzer": "lucene.standard"
      },
      "rhythmSignature": {
        "type": "string",
        "analyzer": "lucene.standard"
      }
    }
  }
}
